SystemOrganization addCategory: #PhileasFogg!

Object subclass: #PhileasFogg
	instanceVariableNames: 'topicClass'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PhileasFogg'!

!PhileasFogg methodsFor: 'as yet unclassified' stamp: 'hjo 11/14/2011 11:42'!
classesReferencingTopicClass
	^ (topicClass theNonMetaClass asNode users collect: [ :each | each theClass theNonMetaClass ]) asSet
		copyWithout: topicClass! !

!PhileasFogg methodsFor: 'as yet unclassified' stamp: 'hjo 11/14/2011 11:32'!
instanceVariableNamesOfTopicClass
	^ topicClass instVarNames! !

!PhileasFogg methodsFor: 'as yet unclassified' stamp: 'hjo 11/14/2011 11:42'!
main
	Transcript clear.
	self transcriptLine: '- class name -'.
	self transcriptLine: self nameOfTopicClass.
	self transcriptLine: '- superclass name -'.
	self transcriptLine: self nameOfSuperclassOfTopicClass.
	self transcriptLine: '- instance variable names -'.
	self instanceVariableNamesOfTopicClass do: [ :each | self transcriptLine: each ].
	self transcriptLine: '- referencing classes -'.
	self classesReferencingTopicClass do: [ :each | self transcriptLine: each printString ].
	self transcriptLine: '- end -'.
	Transcript flush! !

!PhileasFogg methodsFor: 'as yet unclassified' stamp: 'hjo 11/14/2011 11:28'!
nameOfSuperclassOfTopicClass
	^ topicClass superclass name! !

!PhileasFogg methodsFor: 'as yet unclassified' stamp: 'hjo 11/14/2011 11:28'!
nameOfTopicClass
	^ topicClass name! !

!PhileasFogg methodsFor: 'as yet unclassified' stamp: 'hjo 11/14/2011 11:52'!
topicClass

	^ topicClass! !

!PhileasFogg methodsFor: 'as yet unclassified' stamp: 'hjo 11/14/2011 11:17'!
topicClass: aClass 

	topicClass := aClass! !

!PhileasFogg methodsFor: 'as yet unclassified' stamp: 'hjo 11/14/2011 11:33'!
transcriptLine: aString
	^ Transcript
		nextPutAll: aString;
		cr! !

Object subclass: #PhileasFoggController
	instanceVariableNames: 'window'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PhileasFogg'!

!PhileasFoggController methodsFor: 'as yet unclassified' stamp: 'hjo 11/14/2011 11:46'!
window

	window ifNil: [window := self contentView openInWindow]  ! !

Object subclass: #PhileasFoggTranscriptor
	instanceVariableNames: 'topicClass model'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PhileasFogg'!

!PhileasFoggTranscriptor methodsFor: 'as yet unclassified' stamp: 'hjo 11/14/2011 11:51'!
classesReferencingTopicClass
	^ (model topicClass theNonMetaClass asNode users collect: [ :each | each theClass theNonMetaClass ]) asSet
		copyWithout: model topicClass! !

!PhileasFoggTranscriptor methodsFor: 'as yet unclassified' stamp: 'hjo 11/14/2011 11:51'!
initialize

	super initialize.
	model := PhileasFogg new.! !

!PhileasFoggTranscriptor methodsFor: 'as yet unclassified' stamp: 'hjo 11/14/2011 11:51'!
instanceVariableNamesOfTopicClass
	^model topicClass instVarNames! !

!PhileasFoggTranscriptor methodsFor: 'as yet unclassified' stamp: 'hjo 11/14/2011 11:52'!
main

	Transcript clear.
	self transcriptLine: '- class name -'.
	self transcriptLine: self nameOfTopicClass.
	self transcriptLine: '- superclass name -'.
	self transcriptLine: self nameOfSuperclassOfTopicClass.
	self transcriptLine: '- instance variable names -'.
	self instanceVariableNamesOfTopicClass do: [ :each | self transcriptLine: each ].
	self transcriptLine: '- referencing classes -'.
	self classesReferencingTopicClass do: [ :each | self transcriptLine: each printString ].
	self transcriptLine: '- end -'.
	Transcript flush! !

!PhileasFoggTranscriptor methodsFor: 'as yet unclassified' stamp: 'hjo 11/14/2011 11:50'!
nameOfSuperclassOfTopicClass
	^model topicClass superclass name! !

!PhileasFoggTranscriptor methodsFor: 'as yet unclassified' stamp: 'hjo 11/14/2011 11:50'!
nameOfTopicClass
	^model topicClass name! !

!PhileasFoggTranscriptor methodsFor: 'as yet unclassified' stamp: 'hjo 11/14/2011 11:50'!
topicClass: aClass 

	model topicClass: aClass! !

!PhileasFoggTranscriptor methodsFor: 'as yet unclassified' stamp: 'hjo 11/14/2011 11:47'!
transcriptLine: aString
	^ Transcript
		nextPutAll: aString;
		cr! !
